org.apache.ignite.ml.composition.boosting.loss

## Class LogLoss

- java.lang.Object
- - org.apache.ignite.ml.composition.boosting.loss.LogLoss

- All Implemented Interfaces:
    Serializable, Loss

      public class LogLoss
      extends Object
      implements Loss

  Logistic regression loss function.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogLoss()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `error(long sampleSize, double answer, double prediction)` Error value for model answer.
    `double` | `gradient(long sampleSize, double answer, double prediction)` Error gradient value for model answer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogLoss

          public LogLoss()

  - ### Method Detail

    - #### error

          public double error(long sampleSize,
                              double answer,
                              double prediction)

      Error value for model answer.
      Specified by:
        `error` in interface `Loss`
      Parameters:
        `sampleSize` - Sample size.
        `answer` - Label.
        `prediction` - Model answer.
      Returns:
        Error value.

    - #### gradient

          public double gradient(long sampleSize,
                                 double answer,
                                 double prediction)

      Error gradient value for model answer.
      Specified by:
        `gradient` in interface `Loss`
      Parameters:
        `sampleSize` - Sample size.
        `answer` - Label.
        `prediction` - Model answer.
      Returns:
        Error value.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023